# vispy.visuals.filters.base_filter module

class vispy.visuals.filters.base_filter.BaseFilter

  Bases: `object`

  Superclass for all filters.

class vispy.visuals.filters.base_filter.Filter(vcode=None, vhook='post', vpos=5, fcode=None, fhook='post', fpos=5)

  Bases: `BaseFilter`

  Base class for all filters that use fragment and/or vertex shaders.

  Parameters:
    vcode str | Function | None

      Vertex shader code. If None, `vhook` and `vpos` will be ignored.

    vhook{‘pre’, ‘post’}

      Hook name to attach the vertex shader to.

    vpos int

      Position in the hook to attach the vertex shader.

    fcode str | Function | None

      Fragment shader code. If None, `fhook` and `fpos` will be ignored.

    fhook{‘pre’, ‘post’}

      Hook name to attach the fragment shader to.

    fpos int

      Position in the hook to attach the fragment shader.

  Attributes:
    vshader Function | None

      Vertex shader.

    fshader Function | None

      Fragment shader.

  property attached

class vispy.visuals.filters.base_filter.PrimitivePickingFilter(fpos=9, *, discard_transparent=False)

  Bases: `Filter`

  Abstract base class for Visual-specific filters to implement a primitive-picking mode.

  Subclasses must (and usually only need to) implement `_get_picking_ids()`.

  property discard_transparent
  property enabled

previous

vispy.visuals.filters.tests.test_wireframe_filter module

next

vispy.visuals.filters.clipper module